For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet campaign
      • PUTUpdate campaign
      • DELDelete campaign
      • GETList campaigns
      • POSTCreate campaign
LogoLogo
API ReferenceCampaigns

Get campaign

||View as Markdown|
GET
https://hublinks.io/rest/accounts/:account_id/campaigns/:campaign_id
GET
/rest/accounts/:account_id/campaigns/:campaign_id
$curl https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id \
> -H "X-API-KEY: <apiKey>"
200Response
1{
2 "success": true,
3 "campaign": {
4 "name": "CEOs in Michigan - Connection Campaign",
5 "seats": [
6 "SEAT6a13e661ecc6a86e3fb7"
7 ],
8 "status": "PAUSED",
9 "priority": 1753209283974,
10 "schedule": {
11 "friday": [
12 true,
13 true,
14 true
15 ],
16 "monday": [
17 true,
18 true,
19 true
20 ],
21 "sunday": [
22 false,
23 true,
24 true
25 ],
26 "tuesday": [
27 true,
28 true,
29 true
30 ],
31 "saturday": [
32 false,
33 true,
34 true
35 ],
36 "thursday": [
37 true,
38 true,
39 true
40 ],
41 "wednesday": [
42 true,
43 true,
44 true
45 ]
46 },
47 "timezone": -300,
48 "account_id": "ACCO136ce10b5f8a7682efb3",
49 "created_at": 1753209283974,
50 "wait_until": 1756467860306,
51 "campaign_id": "CAMP98dc1225b7904ff61471"
52 }
53}
Get a campaign by ID.
Was this page helpful?
Previous

Get agency

Next

Update campaign

Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
campaign_idstringRequired

Response

This endpoint returns an object.
successboolean
campaignobject